Subject: bug#25340: Save-some-buffers gets called when installing packages.

From: [email-masked]
Date: Wed, 04 Jan 2017 23:35:08 -0500

Nikolay Kudryavtsev <[email-masked]> writes:

> Every time you install a new package you get called to save your
> modified buffers one by one. So, whenever I update my packages I can
> get like 30 packages and I have to press q at least 30 times. This
> behavior is pointless and somewhat annoying.
>
> I've attached the laziest possible patch for this.

> * lisp/emacs-lisp/bytecomp.el (byte-recompile-directory): New argument
> `ignore-modified-buffers' that prevents `save-some-buffers' from getting
> called.

Instead of a boolean, what do you think about passing a directory, such
that only buffers visiting files in that directory or below would get
prompted for saving?